Component({
    properties: {
        list: {
            type: Array,
            value: []
        },
        onClick: {
            type: Function
        }
    },
    methods: {
        toDetail(e) {
            const {
                item
            } = e.currentTarget.dataset;
            wx.navigateTo({
                url: '/packageA/report/detail?id=' + item.sys_workreportid,
            })
            if (item.readstatus == '未读') this.triggerEvent("onClick", item)
        }
    }
})